Json::Features Class Reference

Configuration passed to reader and writer. This configuration object can be used to force the Reader or Writer to behave in a standard conforming way. More...

`#include <json.h>`

## Public Member Functions

| Features ()
| Initialize the configuration like JsonConfig::allFeatures;.

## Static Public Member Functions

static Features | all ()
| A configuration that allows all features and assumes all strings are UTF-8. More...
static Features | strictMode ()
| A configuration that is strictly compatible with the JSON specification. More...

## Public Attributes

bool | allowComments_
| `true` if comments are allowed. Default: `true`.
bool | strictRoot_
| `true` if root must be either an array or an object value. Default: `false`.

## Detailed Description

Configuration passed to reader and writer. This configuration object can be used to force the Reader or Writer to behave in a standard conforming way.

## Member Function Documentation

Features Json::Features::all | ( |  | ) |

static

A configuration that allows all features and assumes all strings are UTF-8.

- C & C++ comments are allowed
- Root object can be any JSON value
- Assumes Value strings are encoded in UTF-8

Features Json::Features::strictMode | ( |  | ) |

static

A configuration that is strictly compatible with the JSON specification.

- Comments are forbidden.
- Root object must be either an array or an object value.
- Assumes Value strings are encoded in UTF-8

The documentation for this class was generated from the following files:

- json.h
- jsoncpp.cpp